=== debian/control ===
Source: libonvif
Priority: optional
Maintainer: Stephen Rhodes <sr99622@gmail.com>
Build-Depends: debhelper-compat (= 13)
 , cmake
 , libxml2-dev
 , libavcodec-dev
 , libavdevice-dev
 , libsdl2-dev
 , qtbase5-dev
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/sr99622/libonvif/
Vcs-Browser: https://github.com/sr99622/libonvif/
Vcs-Git: https://github.com/sr99622/libonvif.git
Rules-Requires-Root: no

Package: libonvif-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libonvif1 (= ${binary:Version}), ${misc:Depends}
Description: ONVIF IP camera client library
 Implementing the client side of the ONVIF specification for communicating
 with IP enabled compatible cameras.

Package: libonvif1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ONVIF IP camera client library
 Implementing the client side of the ONVIF specification for communicating
 with IP enabled compatible cameras.

Package: onvif-tools
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
 , libonvif1
Description: ONVIF IP camera command line and GUI tools
 The command line tool discover will find compatible cameras on the local
 network and query each of them for their RSTP connection.
 The GUI tool onvif allow configuration of detected cameras.
