=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/sr99622/libonvif/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
